> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://commify.ferndocs.com/api-reference/throttle-schedules/get-throttle-schedule-unsent/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://commify.ferndocs.com/_mcp/server. # Get unsent throttle schedule recipients GET http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/{throttleScheduleId}/unsent Reference: https://commify.ferndocs.com/api-reference/throttle-schedules/get-throttle-schedule-unsent ## Authentication - `X-API-Key` header (required) — Your Commify API key. ## Request ### Path parameters - `throttleScheduleId` (string, required) ### Headers - `AccountReference` (string, required) — Mandatory AccountReference header ## Response ### 200 OK - `data` (GetThrottleScheduleUnsentResponse, optional, nullable) - `errors` (list of ErrorDto, optional, nullable) ## Errors ### 400 Bad Request Error Bad Request - `errors` (list of ErrorDto, optional, nullable) ### 404 Not Found Error Not Found - `errors` (list of ErrorDto, optional, nullable) ## Types ### GetThrottleScheduleUnsentResponse - `recipients` (list of GetThrottleScheduleUnsentResponseRecipientsItems, optional) - `contacts` (list of GetThrottleScheduleUnsentResponseContactsItems, optional) ### ErrorDto - `errorCode` (string, required) - `errorMessage` (string, required) - `metadata` (map from string to string, optional, nullable) ### GetThrottleScheduleUnsentResponseRecipientsItems - `msisdn` (string, optional, nullable) - `variables` (map from string to string, optional, nullable) - `metaData` (map from string to string, optional, nullable) ### GetThrottleScheduleUnsentResponseContactsItems - `contactId` (string, optional) ## Examples **Response** ```json { "data": null, "errors": null } ``` **SDK Code** ```python import requests url = "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/unsent" headers = { "AccountReference": "AccountReference", "X-API-Key": "" } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/unsent'; const options = { method: 'GET', headers: {AccountReference: 'AccountReference', 'X-API-Key': ''} }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/unsent" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("AccountReference", "AccountReference") req.Header.Add("X-API-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/unsent") http = Net::HTTP.new(url.host, url.port) request = Net::HTTP::Get.new(url) request["AccountReference"] = 'AccountReference' request["X-API-Key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/unsent") .header("AccountReference", "AccountReference") .header("X-API-Key", "") .asString(); ``` ```php request('GET', 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/unsent', [ 'headers' => [ 'AccountReference' => 'AccountReference', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/unsent"); var request = new RestRequest(Method.GET); request.AddHeader("AccountReference", "AccountReference"); request.AddHeader("X-API-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "AccountReference": "AccountReference", "X-API-Key": "" ] let request = NSMutableURLRequest(url: NSURL(string: "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/throttle-schedule/throttleScheduleId/unsent")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```